package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.Org;

/**
 * Created by songyue on 17/1/13.
 */
public interface OrgRepo
		extends
			JpaRepository<Org, Long>,
			QueryByExampleExecutor<Org>,
			JpaSpecificationExecutor<Org> {

	List<Org> findByRootId(Long rootId);

	List<Org> findByParentIdAndNameLikeAndEnable(long parentId, String name, Boolean enable);

	List<Org> findByParentIdAndEnable(Long parentId, Boolean enable);

}
